/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2012, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@gmail.com
-------------------------------------------------------------------------------*/
#ifndef TERMINAL_H
#define TERMINAL_H
#include <stdint.h>
#include <widget.h>
#include <streamdevices.h>
#include <genericLCD_Controler.h>
#include <fonts.h>

int terminal_init(LCD_t* LCD,sFONT* font,streamdevice* strdev);
void terminal_movecursor(int n);
int terminal_write(streamdeviceptr device,void* data,int size, int n);
int terminal_read(streamdeviceptr device,void* data,int size, int n);
int terminal_setpos(streamdeviceptr device,int pos);
int terminal_close(streamdeviceptr device);









#endif
